osgUtil::EdgeCollector Class Reference

`#include <EdgeCollector>`

## Classes

struct | Point
struct | Edge
struct | Triangle
struct | Edgeloop

## Public Types

typedef std::list< osg::ref_ptr< osg::UIntArray > > | IndexArrayList
typedef std::set< osg::ref_ptr< Edge >, dereference_less > | EdgeSet
typedef std::vector< osg::ref_ptr< Edge > > | EdgeList
typedef std::list< osg::ref_ptr< Edgeloop > > | EdgeloopList
typedef std::set< osg::ref_ptr< Point >, dereference_less > | PointSet
typedef std::vector< osg::ref_ptr< Point > > | PointList
typedef std::list< osg::ref_ptr< Triangle > > | TriangleList
typedef std::set< osg::ref_ptr< Triangle > > | TriangleSet
typedef std::map< osg::ref_ptr< Triangle >, unsigned int, dereference_less > | TriangleMap

## Public Member Functions

| ~EdgeCollector ()
void | setGeometry (osg::Geometry *geometry)
osg::Geometry * | getGeometry ()
unsigned int | getNumOfTriangles ()
Triangle * | addTriangle (unsigned int p1, unsigned int p2, unsigned int p3)
Triangle * | addTriangle (Point *p1, Point *p2, Point *p3)
Edge * | addEdge (Triangle *triangle, Point *p1, Point *p2)
Point * | addPoint (Triangle *triangle, unsigned int p1)
Point * | addPoint (Triangle *triangle, Point *point)
void | getBoundaryEdgeList (EdgeList &el)
bool | extractBoundaryEdgeloop (EdgeList &el, Edgeloop &edgeloop)
bool | extractBoundaryEdgeloopList (EdgeList &el, EdgeloopList &edgeloopList)
void | getEdgeloopIndexList (IndexArrayList &ial)

## Public Attributes

osg::Geometry * | _geometry
EdgeSet | _edgeSet
TriangleSet | _triangleSet
PointSet | _pointSet
PointList | _originalPointList

## Member Typedef Documentation

## EdgeList

typedef std::vector<osg::ref_ptr<Edge> > osgUtil::EdgeCollector::EdgeList

## EdgeloopList

typedef std::list< osg::ref_ptr<Edgeloop> > osgUtil::EdgeCollector::EdgeloopList

## EdgeSet

typedef std::set<osg::ref_ptr<Edge>,dereference_less > osgUtil::EdgeCollector::EdgeSet

## IndexArrayList

typedef std::list<osg::ref_ptr<osg::UIntArray> > osgUtil::EdgeCollector::IndexArrayList

## PointList

typedef std::vector< osg::ref_ptr<Point> > osgUtil::EdgeCollector::PointList

## PointSet

typedef std::set< osg::ref_ptr<Point>,dereference_less > osgUtil::EdgeCollector::PointSet

## TriangleList

typedef std::list< osg::ref_ptr<Triangle> > osgUtil::EdgeCollector::TriangleList

## TriangleMap

typedef std::map< osg::ref_ptr<Triangle>, unsigned int, dereference_less > osgUtil::EdgeCollector::TriangleMap

## TriangleSet

typedef std::set< osg::ref_ptr<Triangle> > osgUtil::EdgeCollector::TriangleSet

## Constructor & Destructor Documentation

## ~EdgeCollector()

osgUtil::EdgeCollector::~EdgeCollector | ( |  | ) |

## Member Function Documentation

## addEdge()

Edge * osgUtil::EdgeCollector::addEdge | ( | Triangle * | triangle,
|  | Point * | p1,
|  | Point * | p2 )

## addPoint() [1/2]

Point * osgUtil::EdgeCollector::addPoint | ( | Triangle * | triangle,
|  | Point * | point )

## addPoint() [2/2]

Point * osgUtil::EdgeCollector::addPoint | ( | Triangle * | triangle,
|  | unsigned int | p1 )

inline

References _originalPointList, and addPoint().

Referenced by addPoint().

## addTriangle() [1/2]

Triangle * osgUtil::EdgeCollector::addTriangle | ( | Point * | p1,
|  | Point * | p2,
|  | Point * | p3 )

## addTriangle() [2/2]

Triangle * osgUtil::EdgeCollector::addTriangle | ( | unsigned int | p1,
|  | unsigned int | p2,
|  | unsigned int | p3 )

## extractBoundaryEdgeloop()

bool osgUtil::EdgeCollector::extractBoundaryEdgeloop | ( | EdgeList & | el,
|  | Edgeloop & | edgeloop )

## extractBoundaryEdgeloopList()

bool osgUtil::EdgeCollector::extractBoundaryEdgeloopList | ( | EdgeList & | el,
|  | EdgeloopList & | edgeloopList )

## getBoundaryEdgeList()

void osgUtil::EdgeCollector::getBoundaryEdgeList | ( | EdgeList & | el | ) |

## getEdgeloopIndexList()

void osgUtil::EdgeCollector::getEdgeloopIndexList | ( | IndexArrayList & | ial | ) |

## getGeometry()

osg::Geometry * osgUtil::EdgeCollector::getGeometry | ( |  | ) |

inline

References _geometry.

## getNumOfTriangles()

unsigned int osgUtil::EdgeCollector::getNumOfTriangles | ( |  | ) |

inline

References _triangleSet.

## setGeometry()

void osgUtil::EdgeCollector::setGeometry | ( | osg::Geometry * | geometry | ) |

## Member Data Documentation

## _edgeSet

EdgeSet osgUtil::EdgeCollector::_edgeSet

## _geometry

osg::Geometry* osgUtil::EdgeCollector::_geometry

Referenced by getGeometry().

## _originalPointList

PointList osgUtil::EdgeCollector::_originalPointList

Referenced by addPoint().

## _pointSet

PointSet osgUtil::EdgeCollector::_pointSet

## _triangleSet

TriangleSet osgUtil::EdgeCollector::_triangleSet

Referenced by getNumOfTriangles().

The documentation for this class was generated from the following file:

- EdgeCollector